%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%endif
Name: op5-trapper
Version: 6.2.0
Release: op5.1
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Better SNMP traps/notifications handling system
Group: op5/trapper
BuildArch: noarch
Requires: op5-trapper-luapack   >= 1.0.0
Requires: op5-trapper-collector >= 1.1.0
Requires: op5-trapper-processor >= 1.1.2
Requires: op5-trapper-gui       >= 2.1.0
Requires: op5-monitor-release   >= 6.1
Requires: op5-monitor-release   < 6.3
Requires: op5license
Source: %name-%version.tar.gz

%description
Consolidates op5 trapper packages for better SNMP traps/notifications handling system.

%prep
rm -rf %buildroot
%setup -q

%install
make INSTALL_TOP=%buildroot install

%post
/opt/op5sys/bin/op5license-repo-config.sh /etc/yum.repos.d/op5-monitor-trapper.repo
if ! grep -q '^cfg_dir=/opt/monitor/etc/trapper$' /opt/monitor/etc/nagios.cfg; then
    echo -e "\ncfg_dir=/opt/monitor/etc/trapper\n" >> /opt/monitor/etc/nagios.cfg
else
	touch /opt/monitor/etc/nagios.cfg
fi
service monitor reload

%files
%defattr(-,root,root)
%if 0%{?suse_version}
%attr(664, root, root) 		/etc/zypp/repos.d/op5-monitor-trapper.repo
%exclude /etc/yum.repos.d/op5-monitor-trapper.repo
%else
%attr(664, root, root) 		/etc/yum.repos.d/op5-monitor-trapper.repo
%exclude /etc/zypp/repos.d/op5-monitor-trapper.repo
%endif
%attr(664,%daemon_user,%daemon_group)	/opt/monitor/etc/trapper/command.cfg
%attr(664, root, root) 		/opt/trapper/op5-monitor-trapper-version
%clean
rm -rf %buildroot
